Subject: Re: bug#54551: show-paren-mode inconsistency

From: goncholden <[email-masked]>
Date: Fri, 25 Mar 2022 08:35:09 +0000

Sent with ProtonMail secure email.
------- Original Message -------
On Friday, March 25th, 2022 at 7:21 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Fri, 25 Mar 2022 07:10:36 +0000
> >
> > From: goncholden [email-masked]
> >
> > Cc: [email-masked]
> >
> > I am debugging a problem where emacs states that there exists an extra
> >
> > closing parenthesis, but having extreme difficulty locating it.
>
> For this, I propose one of the following methods, or their
>
> combination:
>
> . use C-M-f to move forward by sexps in your init file
> . watch for show-paren to show the closing parenthesis in the
> "mismatched" color
>
> > Have split the file in two and using "require" on a child file. Otherwise
> > I have to comment each line of code rather than whole sections. Commenting
> > each line is likely to introduce errors if one is not very careful removing
> > the comment tags.

> You could instead mark a region of the file, and then use
> comment-region.

> I don't think any of this, or the problem you are trying to solve, is
> relevant to what show-paren does, though.

Not to what show-paren does, but about tools to isolate or focus on specific
sections of code.  Could there be a way to ignore sections of code without
requiring commenting?